[arch-commits] Commit in vim-a/trunk (PKGBUILD)

Dan McGee dan at archlinux.org
Sun May 31 12:51:16 EDT 2009


    Date: Sunday, May 31, 2009 @ 12:51:16
  Author: dan
Revision: 40805

upgpkg: vim-a 2.18-3
    rebuilds for plugin location move

Modified:
  vim-a/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-31 16:39:57 UTC (rev 40804)
+++ PKGBUILD	2009-05-31 16:51:16 UTC (rev 40805)
@@ -5,7 +5,7 @@
 pkgver=2.18
 _scriptid=7218
 _docid=6347
-pkgrel=2
+pkgrel=3
 pkgdesc="alternate files in vim quickly (.c -> .h etc)"
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=31"
@@ -24,7 +24,9 @@
   mv download_script.php?src_id=$_scriptid a.vim
   mv download_script.php?src_id=$_docid alternate.txt
 
-  install -D -m644 a.vim $pkgdir/usr/share/vim/plugin/a.vim || return 1
-  install -D -m644 alternate.txt $pkgdir/usr/share/vim/doc/alternate.txt || return 1
+  installpath="$pkgdir/usr/share/vim/vim72"
+
+  install -D -m644 a.vim $installpath/plugin/a.vim || return 1
+  install -D -m644 alternate.txt $installpath/doc/alternate.txt || return 1
   install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list